Subject: Re: [secdir] Security Review of draft-ietf-pkix-rfc3161-update-09.txt

From: Stefan Santesson <[email-masked]>
Date: Thu, 07 Jan 2010 12:19:31 +0100

Pat,

I think you may have misunderstood the issue this draft is addressing.
Including ESSCertIDv2 does not mean adding another signature with different
strength.

ESSCertID and ESSCertIDv2 are just different certificate identifiers for the
same certificate used to validate the same signature. The only difference is
that the identifier in ESSCertIDv2 is done with a stronger hash (and
includes a hash alg identifier) than the one in ESSCertID.

I don't see any problem with including both. How to deal with that is
defined by, and an issue for, S/MIME rather than this specification.

/Stefan

On 09-12-10 8:19 PM, "pat cain" <[email-masked]> wrote:

> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the IESG.
> These comments were written primarily for the benefit of the security
> area directors. Document editors and WG chairs should treat these
> comments just like any other last call comments.
> 
> Document Abstract:
> 
>    This document updates RFC 3161 [RFC3161]. It allows the use of
>    ESSCertIDv2 defined in RFC 5035 [ESSV2] to specify the hash of a
>    signer certificate when the hash is calculated with a function other
>    than SHA-1 [SHA1].
> 
> Comment:
> 
> The purpose of this document is laudable.
> My only comment/concern is about the 'note' at the end of Section 2.2.1.
> 
> "Note: For backwards compatibility, in line with RFC 5035, both
>             ESSCertID and ESSCertIDv2 MAY be present. Systems MAY ignore
>             ESSCertIDv2 if RFC 5035 has not been implemented."
> 
> When RFC3161 was undergoing development, there was a robust discussion about
> signing 
> A TST multiple times. I seem to recall the output was not to do it. Since
> the requestor has to verify the TST when the TSA sends it back, I'm unclear
> on how a requestor that "has not implemented RFC5035" is going to do this
> verification if both ESSCertID and ESSCertIDV2 are included.
> I expect more guidance is needed here since the different signature
> algorithms will have differing characteristics and strengths.
> 
> It seems to make more sense that a TSA return a TST with *either* an
> ESSCertID or ESSCertIDV2, but not both. Is there a specific use case that
> was intended here or are we just trying to be polite.
> 
> Pat Cain
> 
> _______________________________________________
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir